List Affiliate
curl --request GET \
--url https://api.centralcart.io/v1/app/affiliate \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.centralcart.io/v1/app/affiliate"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.centralcart.io/v1/app/affiliate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"total": 1,
"per_page": 15,
"current_page": 1,
"last_page": 1,
"first_page": 1,
"first_page_url": "/?page=1",
"last_page_url": "/?page=1",
"next_page_url": null,
"previous_page_url": null
},
"data": [
{
"id": 1,
"store_id": 1,
"name": "Afiliado Exemplo",
"ref_code": "AFFILIATE001",
"percent_commission": 10,
"balance": 150.5,
"min_withdraw": 50,
"email": "[email protected]",
"self_affiliated": false,
"withdraw_settings": null,
"revenue": 1500,
"sales": 15,
"created_at": "2024-01-16T15:12:36.000-03:00",
"updated_at": "2024-01-16T15:12:36.000-03:00"
}
]
}Afiliados
List Affiliate
Retorna a lista de afiliados criados.
GET
/
app
/
affiliate
List Affiliate
Autorizações
Token de API gerado no painel da CentralCart.
Parâmetros de consulta
Número da página para paginação
Busca por nome ou email do afiliado
Filtrar por email específico do afiliado
Se true, retorna todos os afiliados sem paginação